Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.cms
Class KEKRecipientInformation

    java.lang.Object
      org.bouncycastle.cms.RecipientInformation
          org.bouncycastle.cms.KEKRecipientInformation

    public class KEKRecipientInformation

extends RecipientInformation

the RecipientInfo class for a recipient who has been sent a message encrypted using a secret key known to the other side.

Field Summary

Fields inherited from class org.bouncycastle.cms.RecipientInformation
`authEncAlg, data, encAlg, keyEncAlg, macAlg, rid`

Constructor Summary
`KEKRecipientInformation(org.bouncycastle.asn1.cms.KEKRecipientInfo info, org.bouncycastle.asn1.x509.AlgorithmIdentifier encAlg, org.bouncycastle.asn1.x509.AlgorithmIdentifier macAlg, java.io.InputStream data)` Deprecated.
`KEKRecipientInformation(org.bouncycastle.asn1.cms.KEKRecipientInfo info, org.bouncycastle.asn1.x509.AlgorithmIdentifier encAlg, java.io.InputStream data)` Deprecated.

Method Summary
`CMSTypedStream` `getContentStream(java.security.Key key, java.security.Provider prov)` decrypt the content and return an input stream.
`CMSTypedStream` `getContentStream(java.security.Key key, java.lang.String prov)` decrypt the content and return an input stream.

Methods inherited from class org.bouncycastle.cms.RecipientInformation
`getContent, getContent, getContentFromSessionKey, getKeyEncryptionAlgOID, getKeyEncryptionAlgorithmParameters, getKeyEncryptionAlgorithmParameters, getKeyEncryptionAlgParams, getMac, getRID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KEKRecipientInformation

    public KEKRecipientInformation(org.bouncycastle.asn1.cms.KEKRecipientInfo info,
                                   org.bouncycastle.asn1.x509.AlgorithmIdentifier encAlg,
                                   java.io.InputStream data)

  Deprecated.

### KEKRecipientInformation

    public KEKRecipientInformation(org.bouncycastle.asn1.cms.KEKRecipientInfo info,
                                   org.bouncycastle.asn1.x509.AlgorithmIdentifier encAlg,
                                   org.bouncycastle.asn1.x509.AlgorithmIdentifier macAlg,
                                   java.io.InputStream data)

  Deprecated.

Method Detail

### getContentStream

    public CMSTypedStream getContentStream(java.security.Key key,
                                           java.lang.String prov)
                                    throws CMSException,
                                           java.security.NoSuchProviderException

  decrypt the content and return an input stream.

  Overrides:
    `getContentStream` in class `RecipientInformation`
  Throws:
    `CMSException`
    `java.security.NoSuchProviderException`

### getContentStream

    public CMSTypedStream getContentStream(java.security.Key key,
                                           java.security.Provider prov)
                                    throws CMSException

  decrypt the content and return an input stream.

  Specified by:
    `getContentStream` in class `RecipientInformation`
  Throws:
    `CMSException`

Bouncy Castle Cryptography Library 1.45